$(function(){
	/* TOPO SVG */
	window.DesenhoSvg($("svg"));
	$('path, polygon, rect, circle, line').each(function (i) {
		var path = $(this).get(0);
		var thread = new Thread(function() {
			window.ColorirDesenho(path);
			var contexto = this;
			path.addEventListener('transitionend', function(){
				window.ThreadPool.Remove(contexto);
			}, false);
		}, i);
		thread.OnComplete(function(){
			this.WaitForRemove();
		});
		thread.Start();
	});
	
	/* SCROLL */
	$(".comocomecar, .estatistica").one("inview", function(isInView){
		if (isInView)
			$(this).addClass("view");
	});
	
	/* SCROLL RELATIVO */
	$(".categorias").find(".item-delay").each(function(i){            
		var element = $(this);
		element.one("inview", function(isInView) {
			if (isInView){
				setTimeout(function(){
					element.addClass("view");
				} , 50 * i);
			}
		});
	});

    /* MENU */
	$("#navbar a.scroll, .scrollOnePage").click(function (event) {
	    event.preventDefault();
	    target = $($(this).attr("href")).offset().top - $(".navbar").height() + 8;
	    $("html, body").animate({ scrollTop: target }, 800);
	});
	
	/* MENU */
	menu();
	$(window).scroll(function() {
		menu();
	});
	
	/* RESULTADOS */
	$(".categoria").click(function () {
	    setTimeout(function () { resultados() }, 250);
	});
	
	/* ESTATÍSTICAS */
	$(".estatistica").one("inview", function(isInView){
		if (isInView)
			$("h3").countTo();
	});
	
	$(".estatisticas").each(function () {
		var parallax = $(this);
		$(window).scroll(function () {
			var posicao = -($(window).scrollTop() / 10);
			parallax.css("background-position", "center " + posicao + "px");
		});
	});
});

$(window).resize(function() {
	resultados();
});

function menu() {
	/* NAV */
	if ($(window).scrollTop() >= $("#topo").next().offset().top - $("nav").height() - 12)
		$("nav").addClass("view");
	else
		$("nav").removeClass("view");
}

function resultados() {
	/* RESULTADOS */
	var resultado = 0;
	$(".resultados span").removeAttr("style");
	$(".resultados span").each(function () {
		if ($(this).height() > resultado) {
			resultado = $(this).height();
		}
	});

	$(".resultados span").each(function () {
		var altura = (resultado / 2) - ($(this).height() / 2) + 25;
		if ($(this).height() < resultado)
			$(this).css({ "padding-top": altura, "padding-bottom": altura });
	});

	resultado = 0;
	$(".resultados span + div").removeAttr("style");
	$(".resultados span + div").each(function () {
	    if ($(this).height() > resultado) {
	        resultado = $(this).height();
	    }
	});

	$(".resultados span + div").height(resultado);
}