﻿namespace AgileCompass.Data
{
    public class AgileCompassDataManager
    {
        private AgileCompassData current;

        public AgileCompassData Current
        {
            get { return current = current ?? Helper.ReferenceRepository<AgileCompassData>.Get(System.Threading.Thread.CurrentThread.ManagedThreadId.ToString()) ?? AgileCompassDataManager.Create(); }
            set { current = value; }
        }

        private static AgileCompassData Create()
        {
            var obj = new AgileCompassData();
            Helper.ReferenceRepository<AgileCompassData>.Set(System.Threading.Thread.CurrentThread.ManagedThreadId.ToString(), obj);
            return obj;
        }

        public static void Destroy()
        {
            Helper.ReferenceRepository<AgileCompassData>.Remove(System.Threading.Thread.CurrentThread.ManagedThreadId.ToString());
        }
    }
}