﻿using System;
using System.Security.Cryptography;
using System.Text;

namespace AgileCompass.Helper
{
    public abstract class Cryptography
    {

        public static string Encrypt(string value, string key)
        {
            try
            {
                byte[] keyArray;
                byte[] toEncryptArray = UTF8Encoding.UTF8.GetBytes(value);

                keyArray = UTF8Encoding.UTF8.GetBytes(key);

                //keyArray = new byte[] { 0x41, 0x42, 0x43, 0x44, 0x45, 0x46, 0x47, 0x48, 0x31, 0x32, 0x33, 0x34, 0x35, 0x36, 0x37, 0x38, 0x41, 0x42, 0x43, 0x44, 0x45, 0x46, 0x47, 0x48 };
                keyArray = new byte[] { 0xa3, 0x4f, 0x22, 0x5a, 0x25, 0xb2, 0x9e, 0x29, 0x4d, 0x77, 0x3c, 0xfa, 0xeb, 0x61, 0x9a, 0xa5, 0xac, 0xd3, 0xf2, 0x38, 0x51, 0x8d, 0x3f, 0xcd };

                TripleDESCryptoServiceProvider tdes = new TripleDESCryptoServiceProvider();
                tdes.Key = keyArray;
                tdes.Mode = CipherMode.ECB;

                tdes.Padding = PaddingMode.PKCS7;

                ICryptoTransform cTransform = tdes.CreateEncryptor();
                byte[] resultArray = cTransform.TransformFinalBlock(toEncryptArray, 0, toEncryptArray.Length);

                tdes.Clear();

                return Convert.ToBase64String(resultArray, 0, resultArray.Length);
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public static string Decrypt(string value, string key)
        {
            try
            {
                byte[] keyArray;

                byte[] toEncryptArray = Convert.FromBase64String(value);

                keyArray = UTF8Encoding.UTF8.GetBytes(key);

                keyArray = new byte[] { 0xa3, 0x4f, 0x22, 0x5a, 0x25, 0xb2, 0x9e, 0x29, 0x4d, 0x77, 0x3c, 0xfa, 0xeb, 0x61, 0x9a, 0xa5, 0xac, 0xd3, 0xf2, 0x38, 0x51, 0x8d, 0x3f, 0xcd };

                TripleDESCryptoServiceProvider tdes = new TripleDESCryptoServiceProvider();
                tdes.Key = keyArray;

                tdes.Mode = CipherMode.ECB;
                tdes.Padding = PaddingMode.PKCS7;

                ICryptoTransform cTransform = tdes.CreateDecryptor();
                byte[] resultArray = cTransform.TransformFinalBlock(toEncryptArray, 0, toEncryptArray.Length);

                tdes.Clear();

                return UTF8Encoding.UTF8.GetString(resultArray);
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public static string HashMD5(string value)
        {
            try
            {
                MD5 md5 = System.Security.Cryptography.MD5.Create();
                byte[] inputBytes = System.Text.Encoding.ASCII.GetBytes(value);
                byte[] hash = md5.ComputeHash(inputBytes);

                StringBuilder sb = new StringBuilder();
                for (int i = 0; i < hash.Length; i++)
                {
                    sb.Append(hash[i].ToString("X2"));
                }
                return sb.ToString().ToLower();
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //public static string HashSHA1(string value)
        //{
        //    try
        //    {
        //        SHA1 sha1 = System.Security.Cryptography.SHA1.Create();
        //        byte[] inputBytes = System.Text.Encoding.ASCII.GetBytes(value);
        //        byte[] hash = sha1.ComputeHash(inputBytes);

        //        StringBuilder sb = new StringBuilder();
        //        for (int i = 0; i < hash.Length; i++)
        //        {
        //            sb.Append(hash[i].ToString("X2"));
        //        }
        //        return sb.ToString();
        //    }
        //    catch (Exception ex)
        //    {
        //        throw ex;
        //    }
        //}

        public static string HashSHA1(string value)
        {
            byte[] bytes = Encoding.Unicode.GetBytes(value);
            //byte[] src = Convert.FromBase64String(("J5U9A-V15AQ-N1M9P-64CVB-R79D6"));
            byte[] src = Encoding.Unicode.GetBytes("J5U9A-V15AQ-N1M9P-64CVB-R79D6");
            byte[] dst = new byte[src.Length + bytes.Length];
            Buffer.BlockCopy(src, 0, dst, 0, src.Length);
            Buffer.BlockCopy(bytes, 0, dst, src.Length, bytes.Length);
            HashAlgorithm algorithm = HashAlgorithm.Create("SHA1");
            byte[] inArray = algorithm.ComputeHash(dst);
            return Convert.ToBase64String(inArray);
        }
    }
}