﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AgileCompass.Helper
{
    public class Log
    {
        public static void Register(En.ObjectLog objectlog, En.ActionLog actionlog, string JsonObject1) { Register(objectlog, actionlog, JsonObject1, null); }
        public static void Register(En.ObjectLog objectlog, En.ActionLog actionlog, string JsonObject1, string JsonObject2)
        {
            try
            {
                var manager = new Helper.AuthenticationManager();
                Models.Equipe equipe = manager.IsAuthenticated ? manager.GetEquipe() : null;

                var objId = Convert.ToInt32(objectlog);
                var actId = Convert.ToInt32(actionlog);

                var log = new Models.Log
                {
                    Date = DateTime.Now,
                    Equipe = equipe,
                    ObjectLog = new Models.ObjectLog { Id = objId }.Find(),
                    ActionLog = new Models.ActionLog { Id = actId }.Find(),
                    JObject1 = JsonObject1,
                    JObject2 = JsonObject2
                };

                log.Save();
            }
            catch (Exception ex)
            {
            }
        }
    }
}