﻿using System.ComponentModel.DataAnnotations;

namespace AgileCompass.Models.ViewModel
{
    public class LoginViewModel
    {
        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(200, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [DataType(DataType.EmailAddress, ErrorMessageResourceName = "MsgEmailInvalido", ErrorMessageResourceType = typeof(Resource))]
        public string Email { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(50, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [DataType(DataType.Password)]
        public string Senha { get; set; }
    }
}