﻿$(function () {
    var cards = $('#hidJsonBoard').val();
    carregaBoards(cards);

    $("#board").height($(window).height() - $(".navbar").height() - $("footer").height());
    $(".postits .postit").draggable({ containment: "#board", helper: "clone", cursor: "move" });
    $(".board-item").droppable({
        accept: ".postit",
        drop: function (event, ui) {
            var nextId = (parseInt($("#hidIdentityCard").val()) + 1);
            $("<li class='col-md-6 col-sm-6' id='card" + nextId + "'><span class='close'>x</span><textarea></textarea></li>").addClass(classPostit(ui.draggable.attr("class"))).appendTo($(this).find("ul"));
            $("#hidIdentityCard").val(nextId);
        }
    });
    $(".board-item").delegate("span", "click", function(){
        $(this).parent("li").remove();
    });
    $(".board-item").delegate("textarea", "click", function () {
        var texto = $(this).val();
        $(this).val("").val(texto).focus();
    });

    $(".connectedSortable").sortable({
		connectWith: ".connectedSortable",
		dropOnEmpty: true
    }).disableSelection();
    
    $("#btnSubmit").click(function () {
        var montaCard = [];
        var vitemQuadro = "";
        var vcorPostit = "";
        $(".board-item").each(function () {
            vitemQuadro = ($(this).attr("id")).match(/[0-9]/g)[0];
            $(this).children("ul").children("li").each(function () {
                vid = ($(this).attr("id")).match(/[0-9]/g)[0];
                vcorPostit = ($(this).attr("class").replace("col-md-6 col-sm-6", "")).match(/[0-9]/g)[0];
                montaCard.push({ id: vid, itemQuadro: vitemQuadro, corPostit: vcorPostit, texto: $(this).children("textarea").val() });
            });
        });
        $('#hidJsonBoard').val(JSON.stringify(montaCard));
    });
});

function carregaBoards(cards) {
    if (cards == null || cards == '')
        return;
    var cardsJson = JSON.parse(cards);
    for (var i = 0; i < cardsJson.length; i++) {
        $("#itemQuadro" + cardsJson[i].itemQuadro).children("ul").append("<li class='col-md-6 col-sm-6 post-cor-" + cardsJson[i].corPostit + "' id='card" + cardsJson[i].id + "'><span class='close'>x</span><textarea>" + cardsJson[i].texto + "</textarea></li>");
    }
}

function classPostit(cssClass) {
    return cssClass.replace("ui-draggable", "").replace("ui-draggable-handle", "").replace("postit", "");
}