﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace AgileCompass.Models
{
    public class IdiomaConteudo : Base<IdiomaConteudo>
    {
        [Key, Column(Order = 0)]
        public int IdiomaId { get; set; }

        [Display(Name = "CampoIdioma", ResourceType = typeof(Resource))]
        public virtual Idioma Idioma { get; set; }

        [Key, Column(Order = 1)]
        public int ConteudoId { get; set; }

        [Display(Name = "CampoConteudo", ResourceType = typeof(Resource))]
        public virtual Conteudo Conteudo { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoTitulo", ResourceType = typeof(Resource))]
        public string Titulo { get; set; }

        [Display(Name = "CampoSubtitulo", ResourceType = typeof(Resource))]
        public string Subtitulo { get; set; }

        [Display(Name = "CampoConteudo", ResourceType = typeof(Resource))]
        public string ConteudoValue { get; set; }
    }
}