﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace AgileCompass.Models
{
    public class TipoConteudo : Base<TipoConteudo>
    {
        [Key]
        public int Id { get; set; }

        [Display(Name = "CampoDescricao", ResourceType = typeof(Resource))]
        public string Descricao { get; set; }

        [Display(Name = "CampoConteudo", ResourceType = typeof(Resource))]
        public virtual IList<Conteudo> Conteudo { get; set; }
    }
}