﻿
$(function () {
    $('input[isDatePicker="true"]').datepicker({
        dateFormat: 'mm/dd/yy',
        showAnim: 'clip',
        showButtonPanel: false,
        changeMonth: true,
        changeYear: true,
        showOtherMonths: true,
        selectOtherMonths: true
    })

    if ($.validator) {
        $.validator.addMethod('date',
        function (value, element) {
            if (this.optional(element)) {
                return true;
            }
            var ok = true;
            try {
                $.datepicker.parseDate('mm/dd/yy', value);
            }
            catch (err) {
                ok = false;
            }
            return ok;
        });
    }


});