﻿
$(function () {
    $('input[isDatePicker="true"]').datepicker({
        dateFormat: 'dd/mm/yy',
        dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado', 'Domingo'],
        dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
        dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'SÃ¡b', 'Dom'],
        monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
        monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
        nextText: 'Próximo mês',
        prevText: 'Mês anterior',
        showAnim: 'clip',
        showButtonPanel: false,
        changeMonth: true,
        changeYear: true,
        showOtherMonths: true,
        selectOtherMonths: true
    })

    if ($.validator) {
       $.validator.addMethod('date',
       function (value, element) {
           if (this.optional(element)) {
               return true;
           }
           var ok = true;
           try {
               $.datepicker.parseDate('dd/mm/yy', value);
           }
           catch (err) {
               ok = false;
           }
           return ok;
       });
   }
});