﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AgileCompass.Seed
{
    public class Log
    {
        public static List<Models.ObjectLog> ObjectLogSource { get; private set; }
        public static List<Models.ActionLog> ActionLogSource { get; private set; }

        static Log()
        {
            ObjectLogSource = new List<Models.ObjectLog> 
            {
                new Models.ObjectLog { Id = 1, Description="Avaliacao"},
                new Models.ObjectLog { Id = 2, Description="Categoria"},
                new Models.ObjectLog { Id = 3, Description="Contato"},
                new Models.ObjectLog { Id = 4, Description="Conteudo"},
                new Models.ObjectLog { Id = 5, Description="Equipe"},
                new Models.ObjectLog { Id = 6, Description="Idioma"},
                new Models.ObjectLog { Id = 7, Description="Item"},
                new Models.ObjectLog { Id = 8, Description="Metodo"},
                new Models.ObjectLog { Id = 9, Description="Pais"},
                new Models.ObjectLog { Id = 10, Description="Pratica"},
                new Models.ObjectLog { Id = 11, Description="Resultado"},
                new Models.ObjectLog { Id = 12, Description="SugestaoMelhoria"},
                new Models.ObjectLog { Id = 13, Description="TipoConteudo"},
                new Models.ObjectLog { Id = 14, Description="TipoSoftware"}
            };

            ActionLogSource = new List<Models.ActionLog>
            {
                new Models.ActionLog { Id = 1, Description="Create"},
                new Models.ActionLog { Id = 2, Description="Edit"},
                new Models.ActionLog { Id = 3, Description="Delete"},
            };
        }
    }
}